Package groovy.lang

# Class ParameterArray

java.lang.Object
groovy.lang.ParameterArray

public class ParameterArray extends Object
Distinguish a parameter array from Object[].

Author:
  Pilho Kim

## Constructor Summary

Constructors
Constructor
Description
`ParameterArray(Object data)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`get()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ParameterArray

public ParameterArray(Object data)

## Method Details

### get

public Object get()

### toString

public String toString()

Overrides:
  `toString` in class `Object`